<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'Hero',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="hero">
    <div class="hero-text-container">
      <div class="hero-text-container-text">
        <SlpTypography tag="h1" variant="heading1-bold" class="slp-mb-16">{{
          data.title
        }}</SlpTypography>
        <SlpTypography tag="h5" variant="body1" class="slp-mb-24">
          {{ data.text }}
        </SlpTypography>
      </div>
    </div>
    <div class="hero-background__mobile"></div>
    <div class="hero-background">
      <div class="hero-background__image">
        <img
          v-if="data.image.rounded"
          :src="data.image.url"
          class="hero-background__image--rounded"
        />
        <img
          v-if="data.image.cornered"
          :src="data.image.url"
          class="hero-background__image--cornered"
        />
        <img
          v-else
          :src="data.image.url"
          class="hero-background__image--infinity"
        />
      </div>
    </div>
  </section>
</template>

<style scoped lang="scss">
.hero {
  position: relative;
  display: flex;
  align-items: flex-start;
  justify-content: space-around;

  @media (min-width: $breakpoint-md) {
    min-height: 40rem;
    align-items: center;
  }

  &-text-container {
    z-index: 100;
    margin: 0 $spacing-16;
    padding-top: $spacing-48;
    &-text {
      width: 65%;
      h5 {
        font-size: $text-heading-5-mobile;
        line-height: $line-height-heading-5-mobile;
      }
    }
    @media (min-width: $breakpoint-md) {
      width: 1170px;
    }
    @media (max-width: $breakpoint-md) {
      &-text {
        width: 100%;
      }
    }

    @media (max-width: $breakpoint-sm) {
      &-text {
        width: 100%;
      }
    }
  }

  &-background {
    position: absolute;
    right: 0;
    background: $color-surface-800;
    height: 100%;

    &__image {
      height: 100%;
      display: flex;
      align-items: center;

      img {
        @media (max-width: $breakpoint-md) {
          display: none;
        }
      }

      &--rounded {
        border-radius: 50%;
      }

      &--infinity {
        margin-left: -8.5rem;
      }
    }
  }

  &-background__mobile {
    position: absolute;
    right: 0;
    background: $color-surface-800;
    height: 110%;
    width: 47vw;

    @media (min-width: $breakpoint-md) {
      display: none;
    }
  }
}
</style>
